View Issue Details

IDProjectCategoryView StatusLast Update
00301732.x IDE BugsRuntimesPublic2019-05-16 12:04
ReporterDanAssigned ToMike Dailly 
PriorityVery HighSeverityA - Crash/HangReproducibilityUnable To Reproduce
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030173: Runtimes: Startup crashes for missing part of path "Z:\download" or not being able to find/modify files on subst drive
DescriptionWe're currently seeing a fairly sudden rise in issues with runtimes failing to install for missing part of path "Z:\download". This is with users of 2.2.0, so it's not new 2.2.1 installs. Wondering if Windows has changed permissions for accessing subst drives in some way. 2.1.5 had similar issues because of trying to map multiple substs at once, and although 2.2.0 never quite stopped these issues it did greatly reduce the volume for a good while.

We are also seeing recent tickets about the subst seemingly working, but the Windows user is not able to find or modify the files on the "drive" thereafter, and so they get a different exception.

Expected: We attempt the subst system before we try to install the runtimes, if it fails we log this and then try the non-subst method (knowing that some users will have issues installing Android because of its long path names), and if this still fails we gracefully end the install attempt with a message to the user that the runtime installation could not be performed.

Typically, this is shown as the following exception:

[17:04:10:591(2934)] Installing runtimes threw exception - System.AggregateException: One or more errors occurred. ---> System.AggregateException: One or more errors occurred. ---> System.IO.DirectoryNotFoundException: Could not find a part of the path 'Z:/download'.
   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.Directory.InternalCreateDirectory(String fullPath, String path, Object dirSecurityObj, Boolean checkHost)
   at System.IO.Directory.InternalCreateDirectoryHelper(String path, Boolean checkHost)
   at YoYoStudio.Runtime.RuntimeModule..()
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout, CancellationToken cancellationToken)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks)
   at YoYoStudio.Runtime.RuntimeEntry..()
   at System.Threading.Tasks.Task.Execute()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at YoYoStudio.Runtime.RuntimeEntry..()
   --- End of inner exception stack trace ---
---> (Inner Exception #0) System.AggregateException: One or more errors occurred. ---> System.IO.DirectoryNotFoundException: Could not find a part of the path 'Z:/download'.
   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.Directory.InternalCreateDirectory(String fullPath, String path, Object dirSecurityObj, Boolean checkHost)
   at System.IO.Directory.InternalCreateDirectoryHelper(String path, Boolean checkHost)
   at YoYoStudio.Runtime.RuntimeModule..()
   --- End of inner exception stack trace ---
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout, CancellationToken cancellationToken)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks, Int32 millisecondsTimeout)
   at System.Threading.Tasks.Task.WaitAll(Task[] tasks)
   at YoYoStudio.Runtime.RuntimeEntry..()
   at System.Threading.Tasks.Task.Execute()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at YoYoStudio.Runtime.RuntimeEntry..()
---> (Inner Exception #0) System.IO.DirectoryNotFoundException: Could not find a part of the path 'Z:/download'.
   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.Directory.InternalCreateDirectory(String fullPath, String path, Object dirSecurityObj, Boolean checkHost)
   at System.IO.Directory.InternalCreateDirectoryHelper(String path, Boolean checkHost)
   at YoYoStudio.Runtime.RuntimeModule..()<---

---> (Inner Exception #1) System.IO.DirectoryNotFoundException: Could not find a part of the path 'Z:/download'.
   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.Directory.InternalCreateDirectory(String fullPath, String path, Object dirSecurityObj, Boolean checkHost)
   at System.IO.Directory.InternalCreateDirectoryHelper(String path, Boolean checkHost)
   at YoYoStudio.Runtime.RuntimeModule..()<---
<---
Additional InformationUsage of 2.2.1 is too low to make a call on if this changes the situation, although 2.2.1 would have better logging for this type of issue, so we would recommend/ask these users to try the current 2.2.1 if they can.
TagsNo tags attached.
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.258
2.x IDE Verified In9.2.1.1816
2.x Runtime Verified In9.9.1.1440

Activities

Mike Dailly

2018-11-07 14:15

Developer   ~0061969

fixed in green

Dan

2018-11-12 10:40

Adminstrator   ~0062003

IDE 2.2.1.366+ for this fix.